Black Lives Matter - Action and Equality. ... Adafruit is open and shipping.
0

Help with PiOLED 128x32 Mini OLED (possible DOA?)
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

Help with PiOLED 128x32 Mini OLED (possible DOA?)

by ICEx on Fri Jan 10, 2020 3:52 pm

I was gifted a Pi Zero W and wanted to try out
I purchased the PiOLED and a GPIO Hammer Header (order: 2225077-6546147190)

When I unwrapped the PiOLED a small piece of glass fell out of the bubble wrap and looks like it came from the corner of the OLED.
IMG_20200110_134930.jpg
IMG_20200110_134930.jpg (385.12 KiB) Viewed 84 times


I thought it might just be cosmetic and tried it, but when I follow the tutorial I get this error running stats.py and the ribbon side of the module gets very hot to the touch.

Code: Select all | TOGGLE FULL SIZE
pi@pi-hole:~ $ sudo python3 ~pi/stats.py
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/adafruit_bus_device/i2c_device.py", line 163, in __probe_for_device
    self.i2c.writeto(self.device_address, b'')
  File "/usr/local/lib/python3.7/dist-packages/busio.py", line 84, in writeto
    return self._i2c.writeto(address, buffer, stop=stop)
  File "/usr/local/lib/python3.7/dist-packages/adafruit_blinka/microcontroller/generic_linux/i2c.py", line 38, in writeto
    self._i2c_bus.write_bytes(address, buffer[start:end])
  File "/usr/local/lib/python3.7/dist-packages/Adafruit_PureIO/smbus.py", line 256, in write_bytes
    self._device.write(buf)
OSError: [Errno 121] Remote I/O error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/adafruit_bus_device/i2c_device.py", line 169, in __probe_for_device
    self.i2c.readfrom_into(self.device_address, result)
  File "/usr/local/lib/python3.7/dist-packages/busio.py", line 74, in readfrom_into
    return self._i2c.readfrom_into(address, buffer, stop=stop)
  File "/usr/local/lib/python3.7/dist-packages/adafruit_blinka/microcontroller/generic_linux/i2c.py", line 44, in readfrom_into
    readin = self._i2c_bus.read_bytes(address, end-start)
  File "/usr/local/lib/python3.7/dist-packages/Adafruit_PureIO/smbus.py", line 155, in read_bytes
    return self._device.read(number)
OSError: [Errno 121] Remote I/O error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/stats.py", line 50, in <module>
    disp = adafruit_ssd1306.SSD1306_I2C(128, 32, i2c)
  File "/usr/local/lib/python3.7/dist-packages/adafruit_ssd1306.py", line 181, in __init__
    self.i2c_device = i2c_device.I2CDevice(i2c, addr)
  File "/usr/local/lib/python3.7/dist-packages/adafruit_bus_device/i2c_device.py", line 67, in __init__
    self.__probe_for_device()
  File "/usr/local/lib/python3.7/dist-packages/adafruit_bus_device/i2c_device.py", line 171, in __probe_for_device
    raise ValueError("No I2C device at address: %x" % self.device_address)
ValueError: No I2C device at address: 3c


Code: Select all | TOGGLE FULL SIZE
pi@pi-hole:~ $ ls /dev/i2c* /dev/spi*
/dev/i2c-1      /dev/spidev0.1  /dev/spidev1.1
/dev/spidev0.0  /dev/spidev1.0  /dev/spidev1.2
pi@pi-hole:~ $


Code: Select all | TOGGLE FULL SIZE
pi@pi-hole:~ $ python3 blinkatest.py
Hello blinka!
Digital IO ok!
I2C ok!
SPI ok!
done!


Code: Select all | TOGGLE FULL SIZE
pi@pi-hole:~ $ sudo i2cdetect -y 1
     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f
00:          -- -- -- -- -- -- -- -- -- -- -- -- --
10: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
20: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
40: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
50: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
60: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
70: -- -- -- -- -- -- -- --


Code: Select all | TOGGLE FULL SIZE
pi@pi-hole:~ $ sudo i2cdetect -l
i2c-1   i2c             bcm2835 I2C adapter                     I2C adapter


I am fairly new to the Pi world and at a complete loss here, thanks.

ICEx
 
Posts: 3
Joined: Fri Jan 10, 2020 2:59 pm

Re: Help with PiOLED 128x32 Mini OLED (possible DOA?)

by ICEx on Wed Jan 15, 2020 1:22 pm

Anyone? email support directed me to the forums. I'm still unable to get the pi to even recognize the oled.

ICEx
 
Posts: 3
Joined: Fri Jan 10, 2020 2:59 pm

Re: Help with PiOLED 128x32 Mini OLED (possible DOA?)

by adafruit_support_carter on Wed Jan 15, 2020 1:32 pm

Sorry for delayed response. Looks like it somehow got damaged in shipping. Let's replace it. Send another email back to support and link them to this post and they should take care of you.

adafruit_support_carter
 
Posts: 16323
Joined: Tue Nov 29, 2016 2:45 pm

Re: Help with PiOLED 128x32 Mini OLED (possible DOA?)

by ICEx on Wed Jan 15, 2020 2:04 pm

Awesome, thank you

ICEx
 
Posts: 3
Joined: Fri Jan 10, 2020 2:59 pm

Please be positive and constructive with your questions and comments.